#include <klocale.h>
#include <kdialog.h>
/****************************************************************************
** Form implementation generated from reading ui file 'build/src/ui_NetParamsWizard.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "build/src/ui_NetParamsWizard.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qwidget.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a NetParamsWizard as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The wizard will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal wizard.
 */
NetParamsWizard::NetParamsWizard( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QWizard( parent, name, modal, fl )
{
    if ( !name )
	setName( "NetParamsWizard" );
    setSizeGripEnabled( FALSE );
    setModal( TRUE );
    QFont f( font() );
    f.setBold( TRUE );
    setTitleFont( f );

    welcome = new QWidget( this, "welcome" );
    welcomeLayout = new QGridLayout( welcome, 1, 1, 11, 6, "welcomeLayout"); 

    textLabel1_2 = new QLabel( welcome, "textLabel1_2" );
    textLabel1_2->setAlignment( int( QLabel::WordBreak | QLabel::AlignTop ) );

    welcomeLayout->addWidget( textLabel1_2, 0, 0 );
    addPage( welcome, QString("") );

    WizardPage = new QWidget( this, "WizardPage" );
    WizardPageLayout = new QGridLayout( WizardPage, 1, 1, 11, 15, "WizardPageLayout"); 

    textLabel8_2 = new QLabel( WizardPage, "textLabel8_2" );

    WizardPageLayout->addMultiCellWidget( textLabel8_2, 0, 0, 0, 3 );
    spacer54 = new QSpacerItem( 21, 100, QSizePolicy::Minimum, QSizePolicy::Expanding );
    WizardPageLayout->addItem( spacer54, 2, 2 );

    textLabel9 = new QLabel( WizardPage, "textLabel9" );
    textLabel9->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    WizardPageLayout->addWidget( textLabel9, 1, 1 );

    essid = new QLineEdit( WizardPage, "essid" );

    WizardPageLayout->addWidget( essid, 1, 2 );
    spacer55 = new QSpacerItem( 101, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    WizardPageLayout->addItem( spacer55, 1, 3 );
    spacer56 = new QSpacerItem( 61, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    WizardPageLayout->addItem( spacer56, 1, 0 );
    addPage( WizardPage, QString("") );

    ConfigMode = new QWidget( this, "ConfigMode" );
    ConfigModeLayout = new QGridLayout( ConfigMode, 1, 1, 11, 15, "ConfigModeLayout"); 
    spacer5 = new QSpacerItem( 80, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    ConfigModeLayout->addItem( spacer5, 1, 2 );
    spacer4 = new QSpacerItem( 60, 31, QSizePolicy::Expanding, QSizePolicy::Minimum );
    ConfigModeLayout->addItem( spacer4, 1, 0 );
    spacer6 = new QSpacerItem( 21, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ConfigModeLayout->addItem( spacer6, 2, 1 );

    buttonGroup3 = new QButtonGroup( ConfigMode, "buttonGroup3" );
    buttonGroup3->setFocusPolicy( QButtonGroup::TabFocus );
    buttonGroup3->setLineWidth( 0 );
    buttonGroup3->setFlat( TRUE );
    buttonGroup3->setColumnLayout(0, Qt::Vertical );
    buttonGroup3->layout()->setSpacing( 6 );
    buttonGroup3->layout()->setMargin( 11 );
    buttonGroup3Layout = new QVBoxLayout( buttonGroup3->layout() );
    buttonGroup3Layout->setAlignment( Qt::AlignTop );

    radioDhcp = new QRadioButton( buttonGroup3, "radioDhcp" );
    radioDhcp->setChecked( TRUE );
    buttonGroup3Layout->addWidget( radioDhcp );

    radioManualConfig = new QRadioButton( buttonGroup3, "radioManualConfig" );
    buttonGroup3Layout->addWidget( radioManualConfig );

    ConfigModeLayout->addWidget( buttonGroup3, 1, 1 );

    textLabel2_2 = new QLabel( ConfigMode, "textLabel2_2" );

    ConfigModeLayout->addMultiCellWidget( textLabel2_2, 0, 0, 0, 2 );
    addPage( ConfigMode, QString("") );

    ManualConfig = new QWidget( this, "ManualConfig" );
    ManualConfigLayout = new QGridLayout( ManualConfig, 1, 1, 11, 15, "ManualConfigLayout"); 

    layout12 = new QGridLayout( 0, 1, 1, 0, 6, "layout12"); 

    dns1 = new QLineEdit( ManualConfig, "dns1" );
    dns1->setMaxLength( 32767 );

    layout12->addWidget( dns1, 5, 1 );

    gateway = new QLineEdit( ManualConfig, "gateway" );
    gateway->setMaxLength( 32767 );

    layout12->addWidget( gateway, 3, 1 );

    textLabel6 = new QLabel( ManualConfig, "textLabel6" );
    textLabel6->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    layout12->addWidget( textLabel6, 6, 0 );

    ip = new QLineEdit( ManualConfig, "ip" );
    ip->setMaxLength( 32767 );

    layout12->addWidget( ip, 0, 1 );

    broadcast = new QLineEdit( ManualConfig, "broadcast" );
    broadcast->setMaxLength( 32767 );

    layout12->addWidget( broadcast, 1, 1 );

    textLabel1 = new QLabel( ManualConfig, "textLabel1" );
    textLabel1->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    layout12->addWidget( textLabel1, 0, 0 );

    textLabel3 = new QLabel( ManualConfig, "textLabel3" );
    textLabel3->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    layout12->addWidget( textLabel3, 2, 0 );

    dns2 = new QLineEdit( ManualConfig, "dns2" );
    dns2->setMaxLength( 32767 );

    layout12->addWidget( dns2, 6, 1 );

    textLabel5 = new QLabel( ManualConfig, "textLabel5" );
    textLabel5->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    layout12->addWidget( textLabel5, 5, 0 );

    textLabel7 = new QLabel( ManualConfig, "textLabel7" );
    textLabel7->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    layout12->addWidget( textLabel7, 3, 0 );

    domain = new QLineEdit( ManualConfig, "domain" );

    layout12->addWidget( domain, 4, 1 );

    netmask = new QLineEdit( ManualConfig, "netmask" );
    netmask->setMaxLength( 32767 );

    layout12->addWidget( netmask, 2, 1 );

    textLabel4 = new QLabel( ManualConfig, "textLabel4" );
    textLabel4->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    layout12->addWidget( textLabel4, 4, 0 );

    textLabel2 = new QLabel( ManualConfig, "textLabel2" );
    textLabel2->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    layout12->addWidget( textLabel2, 1, 0 );

    ManualConfigLayout->addLayout( layout12, 1, 1 );
    spacer7 = new QSpacerItem( 60, 31, QSizePolicy::Expanding, QSizePolicy::Minimum );
    ManualConfigLayout->addItem( spacer7, 1, 2 );
    spacer8 = new QSpacerItem( 50, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    ManualConfigLayout->addItem( spacer8, 1, 0 );
    spacer9 = new QSpacerItem( 21, 16, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ManualConfigLayout->addItem( spacer9, 2, 1 );

    textLabel3_2 = new QLabel( ManualConfig, "textLabel3_2" );

    ManualConfigLayout->addMultiCellWidget( textLabel3_2, 0, 0, 0, 2 );
    addPage( ManualConfig, QString("") );

    WepConfig = new QWidget( this, "WepConfig" );
    WepConfigLayout = new QGridLayout( WepConfig, 1, 1, 11, 6, "WepConfigLayout"); 

    textLabel5_2 = new QLabel( WepConfig, "textLabel5_2" );

    WepConfigLayout->addMultiCellWidget( textLabel5_2, 0, 0, 0, 5 );

    buttonGroup3_2_2 = new QButtonGroup( WepConfig, "buttonGroup3_2_2" );
    buttonGroup3_2_2->setLineWidth( 0 );
    buttonGroup3_2_2->setFlat( TRUE );
    buttonGroup3_2_2->setColumnLayout(0, Qt::Vertical );
    buttonGroup3_2_2->layout()->setSpacing( 6 );
    buttonGroup3_2_2->layout()->setMargin( 11 );
    buttonGroup3_2_2Layout = new QVBoxLayout( buttonGroup3_2_2->layout() );
    buttonGroup3_2_2Layout->setAlignment( Qt::AlignTop );

    radioWepOpen = new QRadioButton( buttonGroup3_2_2, "radioWepOpen" );
    radioWepOpen->setChecked( TRUE );
    buttonGroup3_2_2Layout->addWidget( radioWepOpen );

    radioButton2_2_2 = new QRadioButton( buttonGroup3_2_2, "radioButton2_2_2" );
    buttonGroup3_2_2Layout->addWidget( radioButton2_2_2 );

    WepConfigLayout->addWidget( buttonGroup3_2_2, 1, 3 );
    spacer4_2_2 = new QSpacerItem( 122, 31, QSizePolicy::Expanding, QSizePolicy::Minimum );
    WepConfigLayout->addMultiCell( spacer4_2_2, 1, 1, 0, 2 );
    spacer5_2_2 = new QSpacerItem( 150, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    WepConfigLayout->addMultiCell( spacer5_2_2, 1, 1, 4, 5 );

    textLabel6_2 = new QLabel( WepConfig, "textLabel6_2" );

    WepConfigLayout->addMultiCellWidget( textLabel6_2, 2, 2, 0, 5 );
    spacer17 = new QSpacerItem( 31, 16, QSizePolicy::Minimum, QSizePolicy::Expanding );
    WepConfigLayout->addItem( spacer17, 4, 3 );
    spacer15 = new QSpacerItem( 50, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    WepConfigLayout->addItem( spacer15, 3, 5 );
    spacer16 = new QSpacerItem( 30, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    WepConfigLayout->addItem( spacer16, 3, 0 );

    textLabel8 = new QLabel( WepConfig, "textLabel8" );
    textLabel8->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    WepConfigLayout->addWidget( textLabel8, 3, 1 );

    wepKey = new QLineEdit( WepConfig, "wepKey" );
    wepKey->setMinimumSize( QSize( 140, 0 ) );
    wepKey->setEchoMode( QLineEdit::Password );

    WepConfigLayout->addMultiCellWidget( wepKey, 3, 3, 2, 3 );

    checkWepAscii = new QCheckBox( WepConfig, "checkWepAscii" );

    WepConfigLayout->addWidget( checkWepAscii, 3, 4 );
    addPage( WepConfig, QString("") );

    WizardPage_2 = new QWidget( this, "WizardPage_2" );
    WizardPageLayout_2 = new QGridLayout( WizardPage_2, 1, 1, 11, 6, "WizardPageLayout_2"); 
    spacer17_2 = new QSpacerItem( 31, 54, QSizePolicy::Minimum, QSizePolicy::Expanding );
    WizardPageLayout_2->addItem( spacer17_2, 4, 3 );
    spacer15_2 = new QSpacerItem( 80, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    WizardPageLayout_2->addItem( spacer15_2, 3, 6 );
    spacer16_2 = new QSpacerItem( 49, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    WizardPageLayout_2->addItem( spacer16_2, 3, 0 );

    textLabel5_2_2 = new QLabel( WizardPage_2, "textLabel5_2_2" );

    WizardPageLayout_2->addMultiCellWidget( textLabel5_2_2, 0, 0, 0, 6 );

    textLabel8_3 = new QLabel( WizardPage_2, "textLabel8_3" );
    textLabel8_3->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    WizardPageLayout_2->addMultiCellWidget( textLabel8_3, 3, 3, 1, 2 );

    wpaKey = new QLineEdit( WizardPage_2, "wpaKey" );
    wpaKey->setMinimumSize( QSize( 140, 0 ) );
    wpaKey->setEchoMode( QLineEdit::Password );

    WizardPageLayout_2->addMultiCellWidget( wpaKey, 3, 3, 3, 4 );

    checkWpaAscii = new QCheckBox( WizardPage_2, "checkWpaAscii" );

    WizardPageLayout_2->addWidget( checkWpaAscii, 3, 5 );

    textLabel6_2_2 = new QLabel( WizardPage_2, "textLabel6_2_2" );

    WizardPageLayout_2->addMultiCellWidget( textLabel6_2_2, 2, 2, 0, 6 );
    spacer43 = new QSpacerItem( 80, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    WizardPageLayout_2->addMultiCell( spacer43, 1, 1, 0, 1 );
    spacer42 = new QSpacerItem( 60, 31, QSizePolicy::Expanding, QSizePolicy::Minimum );
    WizardPageLayout_2->addItem( spacer42, 1, 6 );

    labelWpaSettings = new QLabel( WizardPage_2, "labelWpaSettings" );
    labelWpaSettings->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, labelWpaSettings->sizePolicy().hasHeightForWidth() ) );

    WizardPageLayout_2->addMultiCellWidget( labelWpaSettings, 1, 1, 4, 5 );

    textLabel1_3 = new QLabel( WizardPage_2, "textLabel1_3" );
    textLabel1_3->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)5, 0, 0, textLabel1_3->sizePolicy().hasHeightForWidth() ) );

    WizardPageLayout_2->addMultiCellWidget( textLabel1_3, 1, 1, 2, 3 );
    addPage( WizardPage_2, QString("") );

    done = new QWidget( this, "done" );
    doneLayout = new QGridLayout( done, 1, 1, 11, 6, "doneLayout"); 

    textLabel7_2 = new QLabel( done, "textLabel7_2" );
    textLabel7_2->setAlignment( int( QLabel::WordBreak | QLabel::AlignTop ) );

    doneLayout->addWidget( textLabel7_2, 0, 0 );
    addPage( done, QString("") );
    languageChange();
    resize( QSize(427, 356).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( buttonGroup3, ip );
    setTabOrder( ip, broadcast );
    setTabOrder( broadcast, netmask );
    setTabOrder( netmask, gateway );
    setTabOrder( gateway, domain );
    setTabOrder( domain, dns1 );
    setTabOrder( dns1, dns2 );
    setTabOrder( dns2, radioWepOpen );
    setTabOrder( radioWepOpen, wepKey );
    setTabOrder( wepKey, radioDhcp );
}

/*
 *  Destroys the object and frees any allocated resources
 */
NetParamsWizard::~NetParamsWizard()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void NetParamsWizard::languageChange()
{
    setCaption( tr2i18n( "First Connection Wizard" ) );
    textLabel1_2->setText( tr2i18n( "<b><p>This is the first time you are trying to connect to the selected network.</p></b>\n"
"<p>You will be asked a few questions necessary to configure this connection.</p>\n"
"<p><i>Press Next to continue.</i></p>" ) );
    setTitle( welcome, tr2i18n( "Welcome to First Connection Wizard" ) );
    textLabel8_2->setText( tr2i18n( "<p><b>You are trying to connect to a network that does not broadcast its ESSID.</b></p>\n"
"<p>Please specify ESSID that you would like to use when connecting to this access point.</p>" ) );
    textLabel9->setText( tr2i18n( "ESSID:" ) );
    setTitle( WizardPage, tr2i18n( "ESSID" ) );
    buttonGroup3->setTitle( QString::null );
    radioDhcp->setText( tr2i18n( "Automatic (DHCP)" ) );
    radioDhcp->setAccel( QKeySequence( QString::null ) );
    radioManualConfig->setText( tr2i18n( "Manual" ) );
    radioManualConfig->setAccel( QKeySequence( QString::null ) );
    textLabel2_2->setText( tr2i18n( "<p><b>Your IP and other parameters need to be configured to connect to any network.</b></p>\n"
"<p>Which configuration option would you like to use when connecting to this network?</p>" ) );
    setTitle( ConfigMode, tr2i18n( "Interface Configuration" ) );
    textLabel6->setText( tr2i18n( "Secondary DNS:" ) );
    textLabel1->setText( tr2i18n( "IP:" ) );
    textLabel3->setText( tr2i18n( "Netmask:" ) );
    textLabel5->setText( tr2i18n( "Primary DNS:" ) );
    textLabel7->setText( tr2i18n( "Gateway:" ) );
    textLabel4->setText( tr2i18n( "Domain:" ) );
    textLabel2->setText( tr2i18n( "Broadcast:" ) );
    textLabel3_2->setText( tr2i18n( "<p><b>Please specify interface parameters to be used to connect to this network.</b></p>\n"
"<p>You may leave some fields blank.</p>" ) );
    setTitle( ManualConfig, tr2i18n( "Interface Parameters" ) );
    textLabel5_2->setText( tr2i18n( "<p><b>The network you are trying to connect to requires WEP authentication.</b></p>\n"
"<p>Which WEP mode would you like to use?</p>" ) );
    buttonGroup3_2_2->setTitle( QString::null );
    radioWepOpen->setText( tr2i18n( "Open S&ystem" ) );
    radioButton2_2_2->setText( tr2i18n( "Shared Key" ) );
    textLabel6_2->setText( tr2i18n( "<p><b>Please provide a key to be used with this network.</b></p>" ) );
    textLabel8->setText( tr2i18n( "WEP key:" ) );
    checkWepAscii->setText( tr2i18n( "ASCII" ) );
    setTitle( WepConfig, tr2i18n( "WEP Configuration" ) );
    textLabel5_2_2->setText( tr2i18n( "<p><b>The network you are trying to connect to requires WPA authentication.</b></p>" ) );
    textLabel8_3->setText( tr2i18n( "WPA Key:" ) );
    checkWpaAscii->setText( tr2i18n( "ASCII" ) );
    textLabel6_2_2->setText( tr2i18n( "<p><b>Please provide a key to be used with this network.</b></p>" ) );
    labelWpaSettings->setText( tr2i18n( "<b>?<br>?<br>?<br>?</b>" ) );
    textLabel1_3->setText( tr2i18n( "WPA Version:<br>Group Cipher:<br>Pairwise Cipher:<br>Authentication Suite:" ) );
    setTitle( WizardPage_2, tr2i18n( "WPA Configuration" ) );
    textLabel7_2->setText( tr2i18n( "<p><b>Congratulations!</b></p>\n"
"<p>You have successfully finished configuring this connection.</p>\n"
"<p><b>Press Finish to connect!</b></p>" ) );
    setTitle( done, tr2i18n( "Done!" ) );
}

#include "ui_NetParamsWizard.moc"
