#include <klocale.h>
#include <kdialog.h>
/****************************************************************************
** Form implementation generated from reading ui file 'build/src/ui_NetParamsEdit.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "build/src/ui_NetParamsEdit.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qwidget.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qframe.h>
#include <qcheckbox.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a netProperties as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
netProperties::netProperties( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "netProperties" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setSizeGripEnabled( FALSE );
    netPropertiesLayout = new QGridLayout( this, 1, 1, 11, 6, "netPropertiesLayout"); 

    Layout1 = new QHBoxLayout( 0, 0, 6, "Layout1"); 

    buttonHelp = new QPushButton( this, "buttonHelp" );
    buttonHelp->setAutoDefault( TRUE );
    Layout1->addWidget( buttonHelp );
    Horizontal_Spacing2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    Layout1->addWidget( buttonCancel );

    netPropertiesLayout->addLayout( Layout1, 1, 0 );

    tabNetParams = new QTabWidget( this, "tabNetParams" );

    tabInterface = new QWidget( tabNetParams, "tabInterface" );
    tabInterfaceLayout = new QVBoxLayout( tabInterface, 11, 6, "tabInterfaceLayout"); 

    boxEssid = new QGroupBox( tabInterface, "boxEssid" );
    boxEssid->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, boxEssid->sizePolicy().hasHeightForWidth() ) );
    boxEssid->setColumnLayout(0, Qt::Vertical );
    boxEssid->layout()->setSpacing( 6 );
    boxEssid->layout()->setMargin( 11 );
    boxEssidLayout = new QHBoxLayout( boxEssid->layout() );
    boxEssidLayout->setAlignment( Qt::AlignTop );

    textLabel1 = new QLabel( boxEssid, "textLabel1" );
    boxEssidLayout->addWidget( textLabel1 );

    essid = new QLineEdit( boxEssid, "essid" );
    boxEssidLayout->addWidget( essid );
    tabInterfaceLayout->addWidget( boxEssid );

    buttonGroup1 = new QButtonGroup( tabInterface, "buttonGroup1" );
    buttonGroup1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)3, 0, 0, buttonGroup1->sizePolicy().hasHeightForWidth() ) );
    buttonGroup1->setColumnLayout(0, Qt::Vertical );
    buttonGroup1->layout()->setSpacing( 6 );
    buttonGroup1->layout()->setMargin( 11 );
    buttonGroup1Layout = new QVBoxLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( Qt::AlignTop );

    layout3 = new QVBoxLayout( 0, 0, 6, "layout3"); 

    radioDhcp = new QRadioButton( buttonGroup1, "radioDhcp" );
    layout3->addWidget( radioDhcp );

    radioManualConfig = new QRadioButton( buttonGroup1, "radioManualConfig" );
    layout3->addWidget( radioManualConfig );
    buttonGroup1Layout->addLayout( layout3 );

    boxManualConfig = new QFrame( buttonGroup1, "boxManualConfig" );
    boxManualConfig->setFrameShape( QFrame::NoFrame );
    boxManualConfig->setFrameShadow( QFrame::Raised );
    boxManualConfigLayout = new QGridLayout( boxManualConfig, 1, 1, 11, 6, "boxManualConfigLayout"); 

    netmask = new QLineEdit( boxManualConfig, "netmask" );

    boxManualConfigLayout->addWidget( netmask, 2, 1 );

    textLabel4 = new QLabel( boxManualConfig, "textLabel4" );

    boxManualConfigLayout->addWidget( textLabel4, 2, 0 );

    ip = new QLineEdit( boxManualConfig, "ip" );

    boxManualConfigLayout->addWidget( ip, 0, 1 );

    domain = new QLineEdit( boxManualConfig, "domain" );

    boxManualConfigLayout->addWidget( domain, 4, 1 );

    textLabel2 = new QLabel( boxManualConfig, "textLabel2" );

    boxManualConfigLayout->addWidget( textLabel2, 0, 0 );

    textLabel3 = new QLabel( boxManualConfig, "textLabel3" );

    boxManualConfigLayout->addWidget( textLabel3, 1, 0 );

    textLabel5 = new QLabel( boxManualConfig, "textLabel5" );

    boxManualConfigLayout->addWidget( textLabel5, 3, 0 );

    dns1 = new QLineEdit( boxManualConfig, "dns1" );

    boxManualConfigLayout->addWidget( dns1, 5, 1 );

    textLabel6 = new QLabel( boxManualConfig, "textLabel6" );

    boxManualConfigLayout->addWidget( textLabel6, 4, 0 );

    broadcast = new QLineEdit( boxManualConfig, "broadcast" );

    boxManualConfigLayout->addWidget( broadcast, 1, 1 );

    gateway = new QLineEdit( boxManualConfig, "gateway" );

    boxManualConfigLayout->addWidget( gateway, 3, 1 );

    dns2 = new QLineEdit( boxManualConfig, "dns2" );

    boxManualConfigLayout->addWidget( dns2, 6, 1 );

    textLabel8 = new QLabel( boxManualConfig, "textLabel8" );

    boxManualConfigLayout->addWidget( textLabel8, 6, 0 );

    textLabel7 = new QLabel( boxManualConfig, "textLabel7" );

    boxManualConfigLayout->addWidget( textLabel7, 5, 0 );
    buttonGroup1Layout->addWidget( boxManualConfig );
    tabInterfaceLayout->addWidget( buttonGroup1 );
    spacer2 = new QSpacerItem( 20, 21, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tabInterfaceLayout->addItem( spacer2 );
    tabNetParams->insertTab( tabInterface, QString::fromLatin1("") );

    tabSecurity = new QWidget( tabNetParams, "tabSecurity" );
    tabSecurityLayout = new QGridLayout( tabSecurity, 1, 1, 11, 6, "tabSecurityLayout"); 
    spacer3 = new QSpacerItem( 21, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tabSecurityLayout->addItem( spacer3, 2, 0 );

    groupWpa = new QButtonGroup( tabSecurity, "groupWpa" );
    groupWpa->setColumnLayout(0, Qt::Vertical );
    groupWpa->layout()->setSpacing( 6 );
    groupWpa->layout()->setMargin( 11 );
    groupWpaLayout = new QGridLayout( groupWpa->layout() );
    groupWpaLayout->setAlignment( Qt::AlignTop );

    layout33 = new QHBoxLayout( 0, 0, 6, "layout33"); 

    textLabel1_2_2 = new QLabel( groupWpa, "textLabel1_2_2" );
    textLabel1_2_2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, textLabel1_2_2->sizePolicy().hasHeightForWidth() ) );
    layout33->addWidget( textLabel1_2_2 );

    wpaKey = new QLineEdit( groupWpa, "wpaKey" );
    wpaKey->setEchoMode( QLineEdit::Password );
    layout33->addWidget( wpaKey );

    checkWpaAscii = new QCheckBox( groupWpa, "checkWpaAscii" );
    layout33->addWidget( checkWpaAscii );

    groupWpaLayout->addLayout( layout33, 1, 0 );

    layout34 = new QHBoxLayout( 0, 0, 6, "layout34"); 

    textLabel1_3_5 = new QLabel( groupWpa, "textLabel1_3_5" );
    textLabel1_3_5->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)5, 0, 0, textLabel1_3_5->sizePolicy().hasHeightForWidth() ) );
    layout34->addWidget( textLabel1_3_5 );

    labelWpaSettings = new QLabel( groupWpa, "labelWpaSettings" );
    labelWpaSettings->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, labelWpaSettings->sizePolicy().hasHeightForWidth() ) );
    layout34->addWidget( labelWpaSettings );
    spacer71 = new QSpacerItem( 131, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout34->addItem( spacer71 );

    groupWpaLayout->addLayout( layout34, 0, 0 );

    tabSecurityLayout->addWidget( groupWpa, 1, 0 );

    groupWep = new QButtonGroup( tabSecurity, "groupWep" );
    groupWep->setColumnLayout(0, Qt::Vertical );
    groupWep->layout()->setSpacing( 6 );
    groupWep->layout()->setMargin( 11 );
    groupWepLayout = new QGridLayout( groupWep->layout() );
    groupWepLayout->setAlignment( Qt::AlignTop );

    radioWepOpen = new QRadioButton( groupWep, "radioWepOpen" );

    groupWepLayout->addWidget( radioWepOpen, 0, 0 );

    layout35 = new QHBoxLayout( 0, 0, 6, "layout35"); 

    textLabel1_2 = new QLabel( groupWep, "textLabel1_2" );
    textLabel1_2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, textLabel1_2->sizePolicy().hasHeightForWidth() ) );
    layout35->addWidget( textLabel1_2 );

    wepKey = new QLineEdit( groupWep, "wepKey" );
    wepKey->setEchoMode( QLineEdit::Password );
    layout35->addWidget( wepKey );

    checkWepAscii = new QCheckBox( groupWep, "checkWepAscii" );
    layout35->addWidget( checkWepAscii );

    groupWepLayout->addLayout( layout35, 2, 0 );

    radioWepRestricted = new QRadioButton( groupWep, "radioWepRestricted" );

    groupWepLayout->addWidget( radioWepRestricted, 1, 0 );

    tabSecurityLayout->addWidget( groupWep, 0, 0 );
    tabNetParams->insertTab( tabSecurity, QString::fromLatin1("") );

    tabAdvanced = new QWidget( tabNetParams, "tabAdvanced" );
    tabAdvancedLayout = new QVBoxLayout( tabAdvanced, 11, 6, "tabAdvancedLayout"); 

    textLabel1_4 = new QLabel( tabAdvanced, "textLabel1_4" );
    tabAdvancedLayout->addWidget( textLabel1_4 );

    groupBox3 = new QGroupBox( tabAdvanced, "groupBox3" );
    groupBox3->setColumnLayout(0, Qt::Vertical );
    groupBox3->layout()->setSpacing( 6 );
    groupBox3->layout()->setMargin( 11 );
    groupBox3Layout = new QGridLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( Qt::AlignTop );

    layout6 = new QHBoxLayout( 0, 0, 6, "layout6"); 
    spacer7 = new QSpacerItem( 130, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout6->addItem( spacer7 );

    textLabel1_3 = new QLabel( groupBox3, "textLabel1_3" );
    layout6->addWidget( textLabel1_3 );

    preConnectionTimeout = new QSpinBox( groupBox3, "preConnectionTimeout" );
    preConnectionTimeout->setMaxValue( 60 );
    preConnectionTimeout->setMinValue( 1 );
    preConnectionTimeout->setValue( 20 );
    layout6->addWidget( preConnectionTimeout );

    preConnectionDetached = new QCheckBox( groupBox3, "preConnectionDetached" );
    layout6->addWidget( preConnectionDetached );

    groupBox3Layout->addLayout( layout6, 1, 0 );

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 

    textLabel1_3_2 = new QLabel( groupBox3, "textLabel1_3_2" );
    layout7->addWidget( textLabel1_3_2 );

    preConnectionCommand = new QLineEdit( groupBox3, "preConnectionCommand" );
    layout7->addWidget( preConnectionCommand );

    groupBox3Layout->addLayout( layout7, 0, 0 );
    tabAdvancedLayout->addWidget( groupBox3 );

    groupBox3_2 = new QGroupBox( tabAdvanced, "groupBox3_2" );
    groupBox3_2->setColumnLayout(0, Qt::Vertical );
    groupBox3_2->layout()->setSpacing( 6 );
    groupBox3_2->layout()->setMargin( 11 );
    groupBox3_2Layout = new QGridLayout( groupBox3_2->layout() );
    groupBox3_2Layout->setAlignment( Qt::AlignTop );

    layout6_2 = new QHBoxLayout( 0, 0, 6, "layout6_2"); 
    spacer7_2 = new QSpacerItem( 130, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout6_2->addItem( spacer7_2 );

    textLabel1_3_3 = new QLabel( groupBox3_2, "textLabel1_3_3" );
    layout6_2->addWidget( textLabel1_3_3 );

    postConnectionTimeout = new QSpinBox( groupBox3_2, "postConnectionTimeout" );
    postConnectionTimeout->setMaxValue( 60 );
    postConnectionTimeout->setMinValue( 1 );
    postConnectionTimeout->setValue( 20 );
    layout6_2->addWidget( postConnectionTimeout );

    postConnectionDetached = new QCheckBox( groupBox3_2, "postConnectionDetached" );
    layout6_2->addWidget( postConnectionDetached );

    groupBox3_2Layout->addLayout( layout6_2, 1, 0 );

    layout7_2 = new QHBoxLayout( 0, 0, 6, "layout7_2"); 

    textLabel1_3_2_2 = new QLabel( groupBox3_2, "textLabel1_3_2_2" );
    layout7_2->addWidget( textLabel1_3_2_2 );

    postConnectionCommand = new QLineEdit( groupBox3_2, "postConnectionCommand" );
    layout7_2->addWidget( postConnectionCommand );

    groupBox3_2Layout->addLayout( layout7_2, 0, 0 );
    tabAdvancedLayout->addWidget( groupBox3_2 );

    groupBox3_3 = new QGroupBox( tabAdvanced, "groupBox3_3" );
    groupBox3_3->setColumnLayout(0, Qt::Vertical );
    groupBox3_3->layout()->setSpacing( 6 );
    groupBox3_3->layout()->setMargin( 11 );
    groupBox3_3Layout = new QGridLayout( groupBox3_3->layout() );
    groupBox3_3Layout->setAlignment( Qt::AlignTop );

    layout6_3 = new QHBoxLayout( 0, 0, 6, "layout6_3"); 
    spacer7_3 = new QSpacerItem( 130, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout6_3->addItem( spacer7_3 );

    textLabel1_3_4 = new QLabel( groupBox3_3, "textLabel1_3_4" );
    layout6_3->addWidget( textLabel1_3_4 );

    preDisconnectionTimeout = new QSpinBox( groupBox3_3, "preDisconnectionTimeout" );
    preDisconnectionTimeout->setMaxValue( 60 );
    preDisconnectionTimeout->setMinValue( 1 );
    preDisconnectionTimeout->setValue( 20 );
    layout6_3->addWidget( preDisconnectionTimeout );

    preDisconnectionDetached = new QCheckBox( groupBox3_3, "preDisconnectionDetached" );
    layout6_3->addWidget( preDisconnectionDetached );

    groupBox3_3Layout->addLayout( layout6_3, 1, 0 );

    layout7_3 = new QHBoxLayout( 0, 0, 6, "layout7_3"); 

    textLabel1_3_2_3 = new QLabel( groupBox3_3, "textLabel1_3_2_3" );
    layout7_3->addWidget( textLabel1_3_2_3 );

    preDisconnectionCommand = new QLineEdit( groupBox3_3, "preDisconnectionCommand" );
    layout7_3->addWidget( preDisconnectionCommand );

    groupBox3_3Layout->addLayout( layout7_3, 0, 0 );
    tabAdvancedLayout->addWidget( groupBox3_3 );

    groupBox3_3_2 = new QGroupBox( tabAdvanced, "groupBox3_3_2" );
    groupBox3_3_2->setColumnLayout(0, Qt::Vertical );
    groupBox3_3_2->layout()->setSpacing( 6 );
    groupBox3_3_2->layout()->setMargin( 11 );
    groupBox3_3_2Layout = new QGridLayout( groupBox3_3_2->layout() );
    groupBox3_3_2Layout->setAlignment( Qt::AlignTop );

    layout6_3_2 = new QHBoxLayout( 0, 0, 6, "layout6_3_2"); 
    spacer7_3_2 = new QSpacerItem( 130, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout6_3_2->addItem( spacer7_3_2 );

    textLabel1_3_4_2 = new QLabel( groupBox3_3_2, "textLabel1_3_4_2" );
    layout6_3_2->addWidget( textLabel1_3_4_2 );

    postDisconnectionTimeout = new QSpinBox( groupBox3_3_2, "postDisconnectionTimeout" );
    postDisconnectionTimeout->setMaxValue( 60 );
    postDisconnectionTimeout->setMinValue( 1 );
    postDisconnectionTimeout->setValue( 20 );
    layout6_3_2->addWidget( postDisconnectionTimeout );

    postDisconnectionDetached = new QCheckBox( groupBox3_3_2, "postDisconnectionDetached" );
    layout6_3_2->addWidget( postDisconnectionDetached );

    groupBox3_3_2Layout->addLayout( layout6_3_2, 1, 0 );

    layout7_3_2 = new QHBoxLayout( 0, 0, 6, "layout7_3_2"); 

    textLabel1_3_2_3_2 = new QLabel( groupBox3_3_2, "textLabel1_3_2_3_2" );
    layout7_3_2->addWidget( textLabel1_3_2_3_2 );

    postDisconnectionCommand = new QLineEdit( groupBox3_3_2, "postDisconnectionCommand" );
    layout7_3_2->addWidget( postDisconnectionCommand );

    groupBox3_3_2Layout->addLayout( layout7_3_2, 0, 0 );
    tabAdvancedLayout->addWidget( groupBox3_3_2 );
    spacer4 = new QSpacerItem( 31, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tabAdvancedLayout->addItem( spacer4 );
    tabNetParams->insertTab( tabAdvanced, QString::fromLatin1("") );

    netPropertiesLayout->addWidget( tabNetParams, 0, 0 );
    languageChange();
    resize( QSize(420, 504).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( radioManualConfig, SIGNAL( toggled(bool) ), boxManualConfig, SLOT( setEnabled(bool) ) );
    connect( radioDhcp, SIGNAL( toggled(bool) ), boxManualConfig, SLOT( setDisabled(bool) ) );
    connect( preConnectionDetached, SIGNAL( toggled(bool) ), preConnectionTimeout, SLOT( setDisabled(bool) ) );
    connect( postConnectionDetached, SIGNAL( toggled(bool) ), postConnectionTimeout, SLOT( setDisabled(bool) ) );
    connect( preDisconnectionDetached, SIGNAL( toggled(bool) ), preDisconnectionTimeout, SLOT( setDisabled(bool) ) );
    connect( postDisconnectionDetached, SIGNAL( toggled(bool) ), postDisconnectionTimeout, SLOT( setDisabled(bool) ) );

    // tab order
    setTabOrder( essid, radioDhcp );
    setTabOrder( radioDhcp, radioManualConfig );
    setTabOrder( radioManualConfig, ip );
    setTabOrder( ip, broadcast );
    setTabOrder( broadcast, netmask );
    setTabOrder( netmask, gateway );
    setTabOrder( gateway, domain );
    setTabOrder( domain, dns1 );
    setTabOrder( dns1, dns2 );
    setTabOrder( dns2, tabNetParams );
    setTabOrder( tabNetParams, radioWepOpen );
    setTabOrder( radioWepOpen, radioWepRestricted );
    setTabOrder( radioWepRestricted, wepKey );
    setTabOrder( wepKey, buttonHelp );
    setTabOrder( buttonHelp, buttonOk );
    setTabOrder( buttonOk, buttonCancel );
}

/*
 *  Destroys the object and frees any allocated resources
 */
netProperties::~netProperties()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void netProperties::languageChange()
{
    setCaption( tr2i18n( "Properties" ) );
    buttonHelp->setText( tr2i18n( "&Help" ) );
    buttonHelp->setAccel( QKeySequence( tr2i18n( "F1" ) ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    buttonOk->setAccel( QKeySequence( QString::null ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
    buttonCancel->setAccel( QKeySequence( QString::null ) );
    boxEssid->setTitle( tr2i18n( "ESSID" ) );
    textLabel1->setText( tr2i18n( "ESSID:" ) );
    buttonGroup1->setTitle( tr2i18n( "Configuration" ) );
    radioDhcp->setText( tr2i18n( "Automatic (DHCP)" ) );
    radioManualConfig->setText( tr2i18n( "&Manual" ) );
    textLabel4->setText( tr2i18n( "Netmask:" ) );
    textLabel2->setText( tr2i18n( "IP:" ) );
    textLabel3->setText( tr2i18n( "Broadcast:" ) );
    textLabel5->setText( tr2i18n( "Gateway:" ) );
    textLabel6->setText( tr2i18n( "Domain:" ) );
    textLabel8->setText( tr2i18n( "Secondary DNS:" ) );
    textLabel7->setText( tr2i18n( "Primary DNS:" ) );
    tabNetParams->changeTab( tabInterface, tr2i18n( "I&nterface" ) );
    groupWpa->setTitle( tr2i18n( "WPA Settings" ) );
    textLabel1_2_2->setText( tr2i18n( "Key:" ) );
    checkWpaAscii->setText( tr2i18n( "ASCII" ) );
    textLabel1_3_5->setText( tr2i18n( "WPA Version:<br>Group Cipher:<br>Pairwise Cipher:<br>Authentication Suite:" ) );
    labelWpaSettings->setText( tr2i18n( "<b>?<br>?<br>?<br>?</b>" ) );
    groupWep->setTitle( tr2i18n( "WEP Settings" ) );
    radioWepOpen->setText( tr2i18n( "Open Syste&m" ) );
    radioWepOpen->setAccel( QKeySequence( tr2i18n( "Alt+M" ) ) );
    textLabel1_2->setText( tr2i18n( "Key:" ) );
    checkWepAscii->setText( tr2i18n( "ASCII" ) );
    radioWepRestricted->setText( tr2i18n( "Shared &Key" ) );
    radioWepRestricted->setAccel( QKeySequence( tr2i18n( "Alt+K" ) ) );
    tabNetParams->changeTab( tabSecurity, tr2i18n( "Securit&y" ) );
    textLabel1_4->setText( tr2i18n( "<b>Security Warning:</b> the commands specified below will be ran with the same privileges as Wireless Assistant has." ) );
    groupBox3->setTitle( tr2i18n( "Pre-Connection Command" ) );
    textLabel1_3->setText( tr2i18n( "Timeout:" ) );
    preConnectionTimeout->setSuffix( tr2i18n( "s" ) );
    QToolTip::add( preConnectionTimeout, tr2i18n( "Amount of time after which the process will be killed." ) );
    QWhatsThis::add( preConnectionTimeout, tr2i18n( "<p><b>Timeout</b></p>\n"
"<p>This option specifies how long should Wireless Assistant wait for the process to finish, before it will be killed.</p>" ) );
    preConnectionDetached->setText( tr2i18n( "Run detached" ) );
    QToolTip::add( preConnectionDetached, tr2i18n( "Don't wait for the process to finish." ) );
    QWhatsThis::add( preConnectionDetached, tr2i18n( "<p><b>Run Detached</b></p>\n"
"<p>If this checkbox is selected Wireless Assistant will not wait for the process to finish.</p>" ) );
    textLabel1_3_2->setText( tr2i18n( "Command:" ) );
    groupBox3_2->setTitle( tr2i18n( "Post-Connection Command" ) );
    textLabel1_3_3->setText( tr2i18n( "Timeout:" ) );
    postConnectionTimeout->setSuffix( tr2i18n( "s" ) );
    QToolTip::add( postConnectionTimeout, tr2i18n( "Amount of time after which the process will be killed." ) );
    QWhatsThis::add( postConnectionTimeout, tr2i18n( "<p><b>Timeout</b></p>\n"
"<p>This option specifies how long should Wireless Assistant wait for the process to finish, before it will be killed.</p>" ) );
    postConnectionDetached->setText( tr2i18n( "Run detached" ) );
    QToolTip::add( postConnectionDetached, tr2i18n( "Don't wait for the process to finish." ) );
    QWhatsThis::add( postConnectionDetached, tr2i18n( "<p><b>Run Detached</b></p>\n"
"<p>If this checkbox is selected Wireless Assistant will not wait for the process to finish.</p>" ) );
    textLabel1_3_2_2->setText( tr2i18n( "Command:" ) );
    groupBox3_3->setTitle( tr2i18n( "Pre-Disconnection Command" ) );
    textLabel1_3_4->setText( tr2i18n( "Timeout:" ) );
    preDisconnectionTimeout->setSuffix( tr2i18n( "s" ) );
    QToolTip::add( preDisconnectionTimeout, tr2i18n( "Amount of time after which the process will be killed." ) );
    QWhatsThis::add( preDisconnectionTimeout, tr2i18n( "<p><b>Timeout</b></p>\n"
"<p>This option specifies how long should Wireless Assistant wait for the process to finish, before it will be killed.</p>" ) );
    preDisconnectionDetached->setText( tr2i18n( "Run detached" ) );
    QToolTip::add( preDisconnectionDetached, tr2i18n( "Don't wait for the process to finish." ) );
    QWhatsThis::add( preDisconnectionDetached, tr2i18n( "<p><b>Run Detached</b></p>\n"
"<p>If this checkbox is selected Wireless Assistant will not wait for the process to finish.</p>" ) );
    textLabel1_3_2_3->setText( tr2i18n( "Command:" ) );
    groupBox3_3_2->setTitle( tr2i18n( "Post-Disconnection Command" ) );
    textLabel1_3_4_2->setText( tr2i18n( "Timeout:" ) );
    postDisconnectionTimeout->setSuffix( tr2i18n( "s" ) );
    QToolTip::add( postDisconnectionTimeout, tr2i18n( "Amount of time after which the process will be killed." ) );
    QWhatsThis::add( postDisconnectionTimeout, tr2i18n( "<p><b>Timeout</b></p>\n"
"<p>This option specifies how long should Wireless Assistant wait for the process to finish, before it will be killed.</p>" ) );
    postDisconnectionDetached->setText( tr2i18n( "Run detached" ) );
    QToolTip::add( postDisconnectionDetached, tr2i18n( "Don't wait for the process to finish." ) );
    QWhatsThis::add( postDisconnectionDetached, tr2i18n( "<p><b>Run Detached</b></p>\n"
"<p>If this checkbox is selected Wireless Assistant will not wait for the process to finish.</p>" ) );
    textLabel1_3_2_3_2->setText( tr2i18n( "Command:" ) );
    tabNetParams->changeTab( tabAdvanced, tr2i18n( "Advanced" ) );
}

#include "ui_NetParamsEdit.moc"
