#include <klocale.h>
#include <kdialog.h>
/****************************************************************************
** Form implementation generated from reading ui file 'build/src/ui_main.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "build/src/ui_main.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <kpushbutton.h>
#include <qframe.h>
#include <qlabel.h>
#include <kcombobox.h>
#include <qwidgetstack.h>
#include <qwidget.h>
#include <qheader.h>
#include <klistview.h>
#include <qcheckbox.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kpushbutton.h"
#include "kcombobox.h"
#include "klistview.h"

/*
 *  Constructs a mainWindow as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
mainWindow::mainWindow( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "mainWindow" );
    mainWindowLayout = new QGridLayout( this, 1, 1, 11, 6, "mainWindowLayout"); 

    buttonOptions = new KPushButton( this, "buttonOptions" );
    buttonOptions->setMinimumSize( QSize( 0, 0 ) );
    buttonOptions->setToggleButton( TRUE );

    mainWindowLayout->addWidget( buttonOptions, 2, 1 );

    buttonClose = new KPushButton( this, "buttonClose" );
    buttonClose->setDefault( TRUE );

    mainWindowLayout->addWidget( buttonClose, 4, 1 );

    buttonConnect = new KPushButton( this, "buttonConnect" );
    buttonConnect->setEnabled( FALSE );
    buttonConnect->setMinimumSize( QSize( 120, 0 ) );

    mainWindowLayout->addWidget( buttonConnect, 1, 1 );

    buttonScan = new KPushButton( this, "buttonScan" );
    buttonScan->setEnabled( FALSE );
    buttonScan->setFlat( FALSE );

    mainWindowLayout->addWidget( buttonScan, 0, 1 );
    spacer14 = new QSpacerItem( 21, 120, QSizePolicy::Minimum, QSizePolicy::Expanding );
    mainWindowLayout->addItem( spacer14, 3, 1 );

    layout16 = new QVBoxLayout( 0, 0, 6, "layout16"); 

    frameDevice = new QFrame( this, "frameDevice" );
    frameDevice->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, frameDevice->sizePolicy().hasHeightForWidth() ) );
    frameDevice->setFrameShape( QFrame::NoFrame );
    frameDevice->setFrameShadow( QFrame::Plain );
    frameDeviceLayout = new QHBoxLayout( frameDevice, 0, 6, "frameDeviceLayout"); 

    devLabel = new QLabel( frameDevice, "devLabel" );
    devLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, devLabel->sizePolicy().hasHeightForWidth() ) );
    devLabel->setMinimumSize( QSize( 0, 20 ) );
    frameDeviceLayout->addWidget( devLabel );

    devCombo = new KComboBox( FALSE, frameDevice, "devCombo" );
    devCombo->setEnabled( FALSE );
    devCombo->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, devCombo->sizePolicy().hasHeightForWidth() ) );
    devCombo->setMinimumSize( QSize( 60, 0 ) );
    frameDeviceLayout->addWidget( devCombo );
    layout16->addWidget( frameDevice );

    widgetStack = new QWidgetStack( this, "widgetStack" );
    widgetStack->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, widgetStack->sizePolicy().hasHeightForWidth() ) );
    widgetStack->setFrameShape( QWidgetStack::PopupPanel );
    widgetStack->setFrameShadow( QWidgetStack::Sunken );
    widgetStack->setLineWidth( 2 );

    netPage = new QWidget( widgetStack, "netPage" );
    netPageLayout = new QGridLayout( netPage, 1, 1, 0, 0, "netPageLayout"); 

    netList = new KListView( netPage, "netList" );
    netList->addColumn( tr2i18n( "ESSID" ) );
    netList->addColumn( tr2i18n( "Channel" ) );
    netList->addColumn( tr2i18n( "Link Quality" ) );
    netList->header()->setResizeEnabled( FALSE, netList->header()->count() - 1 );
    netList->addColumn( tr2i18n( "WEP/WPA" ) );
    netList->header()->setResizeEnabled( FALSE, netList->header()->count() - 1 );
    netList->addColumn( tr2i18n( "AP" ) );
    netList->setFrameShape( KListView::NoFrame );
    netList->setFrameShadow( KListView::Plain );
    netList->setLineWidth( 1 );

    netPageLayout->addWidget( netList, 0, 0 );

    statusLabel = new QLabel( netPage, "statusLabel" );
    statusLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, statusLabel->sizePolicy().hasHeightForWidth() ) );
    statusLabel->setMinimumSize( QSize( 0, 20 ) );
    statusLabel->setMargin( 5 );
    statusLabel->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );

    netPageLayout->addWidget( statusLabel, 1, 0 );
    widgetStack->addWidget( netPage, 0 );

    optionsPage = new QWidget( widgetStack, "optionsPage" );
    optionsPageLayout = new QVBoxLayout( optionsPage, 11, 6, "optionsPageLayout"); 

    layout20 = new QVBoxLayout( 0, 0, 6, "layout20"); 

    checkAutoConnect = new QCheckBox( optionsPage, "checkAutoConnect" );
    layout20->addWidget( checkAutoConnect );

    checkAutoReconnect = new QCheckBox( optionsPage, "checkAutoReconnect" );
    layout20->addWidget( checkAutoReconnect );

    checkAutoQuit = new QCheckBox( optionsPage, "checkAutoQuit" );
    layout20->addWidget( checkAutoQuit );

    checkGroupAPs = new QCheckBox( optionsPage, "checkGroupAPs" );
    layout20->addWidget( checkGroupAPs );
    optionsPageLayout->addLayout( layout20 );

    layout17 = new QHBoxLayout( 0, 0, 6, "layout17"); 

    layout12 = new QVBoxLayout( 0, 0, 6, "layout12"); 

    textLabel2_2 = new QLabel( optionsPage, "textLabel2_2" );
    layout12->addWidget( textLabel2_2 );

    textLabel2 = new QLabel( optionsPage, "textLabel2" );
    layout12->addWidget( textLabel2 );
    layout17->addLayout( layout12 );

    layout13 = new QVBoxLayout( 0, 0, 6, "layout13"); 
    spacer24_2 = new QSpacerItem( 21, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    layout13->addItem( spacer24_2 );
    spacer24 = new QSpacerItem( 21, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    layout13->addItem( spacer24 );
    layout17->addLayout( layout13 );

    layout14 = new QVBoxLayout( 0, 0, 6, "layout14"); 

    spinDelayBeforeScanning = new QSpinBox( optionsPage, "spinDelayBeforeScanning" );
    spinDelayBeforeScanning->setMaxValue( 20 );
    spinDelayBeforeScanning->setMinValue( 0 );
    spinDelayBeforeScanning->setValue( 0 );
    layout14->addWidget( spinDelayBeforeScanning );

    spinDhcpTimeout = new QSpinBox( optionsPage, "spinDhcpTimeout" );
    spinDhcpTimeout->setMaxValue( 60 );
    spinDhcpTimeout->setMinValue( 5 );
    spinDhcpTimeout->setValue( 15 );
    layout14->addWidget( spinDhcpTimeout );
    layout17->addLayout( layout14 );

    layout15 = new QVBoxLayout( 0, 0, 6, "layout15"); 
    spacer25_2 = new QSpacerItem( 101, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout15->addItem( spacer25_2 );
    spacer25 = new QSpacerItem( 118, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout15->addItem( spacer25 );
    layout17->addLayout( layout15 );
    optionsPageLayout->addLayout( layout17 );

    textLabel1 = new QLabel( optionsPage, "textLabel1" );
    optionsPageLayout->addWidget( textLabel1 );

    layout19 = new QHBoxLayout( 0, 0, 6, "layout19"); 
    spacer22 = new QSpacerItem( 201, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout19->addItem( spacer22 );

    buttonEnableAllMessages = new QPushButton( optionsPage, "buttonEnableAllMessages" );
    layout19->addWidget( buttonEnableAllMessages );
    optionsPageLayout->addLayout( layout19 );
    spacer16 = new QSpacerItem( 20, 31, QSizePolicy::Minimum, QSizePolicy::Expanding );
    optionsPageLayout->addItem( spacer16 );
    widgetStack->addWidget( optionsPage, 1 );
    layout16->addWidget( widgetStack );

    mainWindowLayout->addMultiCellLayout( layout16, 0, 4, 0, 0 );
    languageChange();
    resize( QSize(588, 324).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( devCombo, netList );
    setTabOrder( netList, buttonScan );
    setTabOrder( buttonScan, buttonConnect );
    setTabOrder( buttonConnect, buttonOptions );
    setTabOrder( buttonOptions, buttonClose );
    setTabOrder( buttonClose, checkAutoQuit );
    setTabOrder( checkAutoQuit, spinDhcpTimeout );
    setTabOrder( spinDhcpTimeout, buttonEnableAllMessages );
}

/*
 *  Destroys the object and frees any allocated resources
 */
mainWindow::~mainWindow()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void mainWindow::languageChange()
{
    setCaption( tr2i18n( "Wireless Assistant" ) );
    buttonOptions->setText( tr2i18n( "&Options" ) );
    buttonOptions->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    QToolTip::add( buttonOptions, tr2i18n( "Toggle network list/options" ) );
    QWhatsThis::add( buttonOptions, tr2i18n( "<p><b>Options Button</b></p>\n"
"<p>Pressing this toggle button will show the available application options.</p>\n"
"<p><i>HINT: Press this button again to return to the network list.</i></p>" ) );
    buttonClose->setText( tr2i18n( "&Quit" ) );
    buttonClose->setAccel( QKeySequence( tr2i18n( "Alt+Q" ) ) );
    QToolTip::add( buttonClose, tr2i18n( "Quit the application" ) );
    QWhatsThis::add( buttonClose, tr2i18n( "<p><b>Quit Button</b></p>\n"
"<p>Pressing this button will quit the application.</p>" ) );
    buttonConnect->setText( tr2i18n( "Co&nnect" ) );
    buttonConnect->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
    QToolTip::add( buttonConnect, tr2i18n( "Connect to the selected network" ) );
    QWhatsThis::add( buttonConnect, tr2i18n( "<p><b>Connect/Disconnect Button</b></p>\n"
"<p>Pressing this button will connect to/disconnect from the network currently selected in the network list.</p>" ) );
    buttonScan->setText( tr2i18n( "Refresh" ) );
    buttonScan->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( buttonScan, tr2i18n( "Refresh network list" ) );
    QWhatsThis::add( buttonScan, tr2i18n( "<p><b>Scan Button</b></p>\n"
"<p>Pressing this button will scan for wireless networks and refresh the network list.</p>" ) );
    devLabel->setText( tr2i18n( "Device:" ) );
    QToolTip::add( devCombo, tr2i18n( "Pick a network device to use" ) );
    QWhatsThis::add( devCombo, tr2i18n( "<p><b>Device Selection</b></p>\n"
"<p>This combo box allows you to select which wireless card to use.</p>\n"
"<p><i>NOTE: Selecting a different card will refresh the network list.</i></p>" ) );
    netList->header()->setLabel( 0, tr2i18n( "ESSID" ) );
    netList->header()->setLabel( 1, tr2i18n( "Channel" ) );
    netList->header()->setLabel( 2, tr2i18n( "Link Quality" ) );
    netList->header()->setLabel( 3, tr2i18n( "WEP/WPA" ) );
    netList->header()->setLabel( 4, tr2i18n( "AP" ) );
    QWhatsThis::add( netList, tr2i18n( "<p><b>Network List</b></p>\n"
"<p>This list shows all the wireless networks that have been found.</p>\n"
"<p><i>HINT: Click the Refresh button to update this list.</i></p>" ) );
    statusLabel->setText( tr2i18n( "Ready" ) );
    QWhatsThis::add( statusLabel, tr2i18n( "<p><b>Status Bar</b></p>\n"
"<p>Messages describing current process are shown in this area.</p>" ) );
    checkAutoConnect->setText( tr2i18n( "Automatically connect on startup" ) );
    checkAutoConnect->setAccel( QKeySequence( QString::null ) );
    QWhatsThis::add( checkAutoConnect, tr2i18n( "<p><b>AutomaticallyConnect on Startup</b></p>\n"
"<p>Checking this box will make the application try to connect to the best available network. Only networks that have been previously configured will be taken into account.</p>" ) );
    checkAutoReconnect->setText( tr2i18n( "Automaticall&y reconnect if connection is lost" ) );
    checkAutoReconnect->setAccel( QKeySequence( tr2i18n( "Alt+Y" ) ) );
    QWhatsThis::add( checkAutoReconnect, tr2i18n( "<p><b>Automatically Reconnect if Connection is Lost</b></p>\n"
"<p>Checking this box will make the application try to reconnect after the connection is lost.</p>" ) );
    checkAutoQuit->setText( tr2i18n( "Quit upon successful connection" ) );
    checkAutoQuit->setAccel( QKeySequence( QString::null ) );
    QWhatsThis::add( checkAutoQuit, tr2i18n( "<p><b>Quit Upon Successful Connection</b></p>\n"
"<p>Checking this box will make the application close after successfully establishing a connection to a wireless network.</p>" ) );
    checkGroupAPs->setText( tr2i18n( "&Group access points with the same ESSID" ) );
    checkGroupAPs->setAccel( QKeySequence( tr2i18n( "Alt+G" ) ) );
    QWhatsThis::add( checkGroupAPs, tr2i18n( "<p><b>Group Access Points with the Same ESSID</b></p>\n"
"<p>Checking this box will make all access points with the same ESSID appear as one item in the network list.</p>" ) );
    textLabel2_2->setText( tr2i18n( "Delay before scanning:" ) );
    QToolTip::add( textLabel2_2, tr2i18n( "Specify how long to wait for an IP" ) );
    QWhatsThis::add( textLabel2_2, tr2i18n( "<p><b>DHCP Client Timeout</b></p>\n"
"<p>This option specifies the amount of time after which the application should stop waiting for an IP address and assume that the connection has failed.</p>\n"
"<p><i>HINT: Increasing this number can help if you have problems connecting to some networks.</i></p>" ) );
    textLabel2->setText( tr2i18n( "DHCP client timeout:" ) );
    QToolTip::add( textLabel2, tr2i18n( "Specify how long to wait for an IP" ) );
    QWhatsThis::add( textLabel2, tr2i18n( "<p><b>DHCP Client Timeout</b></p>\n"
"<p>This option specifies the amount of time after which the application should stop waiting for an IP address and assume that the connection has failed.</p>\n"
"<p><i>HINT: Increasing this number can help if you have problems connecting to some networks.</i></p>" ) );
    spinDelayBeforeScanning->setSuffix( tr2i18n( "s" ) );
    QToolTip::add( spinDelayBeforeScanning, tr2i18n( "Specify how long to wait before scanning" ) );
    QWhatsThis::add( spinDelayBeforeScanning, tr2i18n( "<p><b>Delay Before Scanning</b></p>\n"
"<p>This option specifies the amount of time to wait between bringing the interface up and performing a scan.</p>\n"
"<p><i>HINT: Increasing this number can help if you have to refresh the list manually to see all the available networks.</i></p>" ) );
    spinDhcpTimeout->setSuffix( tr2i18n( "s" ) );
    QToolTip::add( spinDhcpTimeout, tr2i18n( "Specify how long to wait for an IP" ) );
    QWhatsThis::add( spinDhcpTimeout, tr2i18n( "<p><b>DHCP Client Timeout</b></p>\n"
"<p>This option specifies the amount of time after which the application should stop waiting for an IP address and assume that the connection has failed.</p>\n"
"<p><i>HINT: Increasing this number can help if you have problems connecting to some networks.</i></p>" ) );
    textLabel1->setText( tr2i18n( "<i>Press the button below to enable all messages which have been turned off with the 'Don't Show Again' feature.</i>" ) );
    buttonEnableAllMessages->setText( tr2i18n( "E&nable All Messages" ) );
    buttonEnableAllMessages->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
    QWhatsThis::add( buttonEnableAllMessages, tr2i18n( "<p><b>Enable All Messages</b></p>\n"
"<p>Pressing this button will enable all messages which have been turned off with the 'Don't Show Again' feature.</p>" ) );
}

void mainWindow::netScan()
{
    qWarning( "mainWindow::netScan(): Not implemented yet" );
}

void mainWindow::netConnect()
{
    qWarning( "mainWindow::netConnect(): Not implemented yet" );
}

void mainWindow::showCfgDlg()
{
    qWarning( "mainWindow::showCfgDlg(): Not implemented yet" );
}

void mainWindow::setDeviceList()
{
    qWarning( "mainWindow::setDeviceList(): Not implemented yet" );
}

void mainWindow::updateStatus(char)
{
    qWarning( "mainWindow::updateStatus(char): Not implemented yet" );
}

#include "ui_main.moc"
